org.apache.maven.scm.command.update

## Class UpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  LocalUpdateScmResult, UpdateScmResultWithRevision

    public class UpdateScmResult
    extends ScmResult

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`UpdateScmResult(List<ScmFile> updatedFiles, List<ChangeSet> changes, ScmResult result)`
`UpdateScmResult(String commandLine, List<ScmFile> updatedFiles)`
`UpdateScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ChangeSet>` `getChanges()`
`List<ScmFile>` `getUpdatedFiles()`
`void` `setChanges(List<ChangeSet> changes)`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateScmResult

    public UpdateScmResult(String commandLine,
                           String providerMessage,
                           String commandOutput,
                           boolean success)

#### UpdateScmResult

    public UpdateScmResult(String commandLine,
                           List<ScmFile> updatedFiles)

#### UpdateScmResult

    public UpdateScmResult(List<ScmFile> updatedFiles,
                           List<ChangeSet> changes,
                           ScmResult result)

### Method Detail

#### getUpdatedFiles

    public List<ScmFile> getUpdatedFiles()

Returns:
  List of `ScmFile`

#### getChanges

    public List<ChangeSet> getChanges()

Returns:
  `List` of `ChangeSet`

#### setChanges

    public void setChanges(List<ChangeSet> changes)